Endpoints

Fetch Vectors

Fetches the vectors with the provided ids.

You can fetch vector values or metadata of one or more by providing their vector ids or id prefix.

Vectors will be fetched from the default namespace by default. You can use a different namespace by specifying it in the request path.

Request

idsbodystring[]

Array of vector ids to fetch.

prefixbodystring

Prefix of vector ids to fetch.

When you fetch vectors with an id prefix, at most 1000 vectors will be returned. If there are more vectors, please use the range API with an id prefix.
includeMetadatabodybooleandefault: false

Whether to include the metadata of the vectors in the response, if any. It is recommended to set this to true to easily identify vectors.

includeVectorsbodybooleandefault: false

Whether to include the vector values in the response. It is recommended to set this to false as the vector values can be quite big, and not needed most of the time.

includeDatabodybooleandefault: false

Whether to include the data of the vectors in the response, if any.

Path

namespacepathstringdefault:

The namespace to use. When no namespace is specified, the default namespace will be used.

Response

VectorsObject[]

Array of vectors in the same order they provided in the ids array. Array elements can be null if no such vector exists with the provided id.

curl
curl $UPSTASH_VECTOR_REST_URL/fetch \  -H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN" \  -d '{ "ids": ["id-0"], "includeMetadata": true }'
curl (Namespace)
curl $UPSTASH_VECTOR_REST_URL/fetch/ns \  -H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN" \  -d '{ "ids": ["id-0", "id-1"], "includeMetadata": true }'
200 OK
{    "result": [        {            "id": "id-0",            "metadata": {                "link": "upstash.com"            }        },        {            "id": "id-1"        }    ]}
Loading search…